# Draw
TKTopTest
TestTopOpeTools

# TestTopOpeTools_HArray1OfMesure Class Reference

`#include <TestTopOpeTools_HArray1OfMesure.hxx>`

## Public Member Functions

Standard_EXPORT | TestTopOpeTools_HArray1OfMesure (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TestTopOpeTools_HArray1OfMesure (const Standard_Integer Low, const Standard_Integer Up, const TestTopOpeTools_Mesure &V)
Standard_EXPORT void | Init (const TestTopOpeTools_Mesure &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TestTopOpeTools_Mesure &Value)
const TestTopOpeTools_Mesure & | Value (const Standard_Integer Index) const
TestTopOpeTools_Mesure & | ChangeValue (const Standard_Integer Index)
const TestTopOpeTools_Array1OfMesure & | Array1 () const
TestTopOpeTools_Array1OfMesure & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TestTopOpeTools_Array1OfMesure | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeTools_HArray1OfMesure::TestTopOpeTools_HArray1OfMesure | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TestTopOpeTools_HArray1OfMesure::TestTopOpeTools_HArray1OfMesure | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const TestTopOpeTools_Mesure & | V
| ) |

## Member Function Documentation

const TestTopOpeTools_Array1OfMesure& TestTopOpeTools_HArray1OfMesure::Array1 | ( |  | ) | const

TestTopOpeTools_Array1OfMesure& TestTopOpeTools_HArray1OfMesure::ChangeArray1 | ( |  | ) |

TestTopOpeTools_Mesure& TestTopOpeTools_HArray1OfMesure::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TestTopOpeTools_HArray1OfMesure::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void TestTopOpeTools_HArray1OfMesure::Init | ( | const TestTopOpeTools_Mesure & | V | ) |

Standard_Integer TestTopOpeTools_HArray1OfMesure::Length | ( |  | ) | const

Standard_Integer TestTopOpeTools_HArray1OfMesure::Lower | ( |  | ) | const

void TestTopOpeTools_HArray1OfMesure::SetValue | ( | const Standard_Integer | Index,
|  | const TestTopOpeTools_Mesure & | Value
| ) |

Standard_Integer TestTopOpeTools_HArray1OfMesure::Upper | ( |  | ) | const

const TestTopOpeTools_Mesure& TestTopOpeTools_HArray1OfMesure::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TestTopOpeTools_Array1OfMesure TestTopOpeTools_HArray1OfMesure::myArray `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeTools_HArray1OfMesure.hxx